Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228944 - yum whatprovides bin/yacc does not work
Summary: yum whatprovides bin/yacc does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 01:35 UTC by Till Maas
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-05 18:18:50 UTC


Attachments (Terms of Use)

Description Till Maas 2007-02-16 01:35:15 UTC
Description of problem:
When I search for a package containing bin/yacc, yum does only show results,
when this package is alread in the filesystem.


Version-Release number of selected component (if applicable):
3.0.3-1


How reproducible:
always


Steps to Reproduce:

1. yum whatprovides bin/yacc
2. yum install byacc
3. yum whatprovides bin/yacc
  
Actual results:
Step 1 does not provide any results, only after step 2 yum find bin/yacc

Expected results:
yum should find bin/yacc before it is already in the filesystem

Additional info:
Is yum whatprovides somehow broken in many ways? This is the second bug in short
time I stumbled upon.

Comment 1 Seth Vidal 2007-02-16 04:36:44 UTC
bin/yacc doesn't exist - /usr/bin/yacc does

it finds it in the second case b/c the search for files on the filesystem is
different than the one in repositories. It should probably be fixed but the case
you site is a bit obscure.

Comment 2 Till Maas 2007-02-16 08:52:18 UTC
(In reply to comment #1)
> bin/yacc doesn't exist - /usr/bin/yacc does
> 
> it finds it in the second case b/c the search for files on the filesystem is
> different than the one in repositories. It should probably be fixed but the case
> you site is a bit obscure.

Ok, yum whatprovides \*bin/yacc works as expected, but when searching with "yum
whatprovides yacc" it matches for example
"/usr/lib/plt/collects/parser-tools/private-yacc/compiled/lr0.zo".
So when I do not use a "/" in my whatprovides query, it seems to search for
\*SEARCHSTRING\* but when I do it searches for an exact match?

I do not understand, why this is obscure, is there any better way to search for
packages that contain a special binary? Searching for yacc prints a lot of
results and a grep for bin would not show the package name.

Comment 3 Till Maas 2007-07-27 09:32:55 UTC
With yum-3.2.1-1.fc7 "yum whatprovides bin/yacc" does mot return any results and
"yum whatprovides \*bin/yacc" demands filelists.sqlite.bz2. Is there a new way
to perform the searches I described?

Comment 4 Seth Vidal 2007-07-27 16:41:54 UTC
yes - yum provides does not implicitly do a wildcarded search. you have to ask
for it.

This is behavior that's changed in yum 3.2.X b/c it makes the searches
waaaaaaaaaaaaay faster.

Is there something wrong with it requiring filelists to do a wildcard search?


Comment 5 Till Maas 2007-07-27 17:49:30 UTC
(In reply to comment #4)

> This is behavior that's changed in yum 3.2.X b/c it makes the searches
> waaaaaaaaaaaaay faster.

It feels a lot faster, too. :-)
 
> Is there something wrong with it requiring filelists to do a wildcard search?

Imho, at least when I provide "-C", it should only search trough the available
data and print a warning that some more files are needed to do an exhaustive search.

It is a bit strage from a my point of view as a user that 
yum -C whatprovides bash
works, but
yum -C whatprovides bas?
does not.


Note You need to log in before you can comment on or make changes to this bug.